Package es.imim.DISGENET.internal

# Class CyActivator

java.lang.Object
org.cytoscape.service.util.AbstractCyActivator
es.imim.DISGENET.internal.CyActivator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class CyActivator extends org.cytoscape.service.util.AbstractCyActivator

## Field Summary

Fields
Modifier and Type
Field
Description
`static org.cytoscape.view.layout.CyLayoutAlgorithmManager`
`layoutAlgoManager`

## Constructor Summary

Constructors
Constructor
Description
`CyActivator()`

## Method Summary

Modifier and Type
Method
Description
`org.cytoscape.application.CyApplicationManager`
`getApplicationManagerService()`
`org.cytoscape.view.presentation.property.values.CyColumnIdentifierFactory`
`getColumnIdentifierFactory()`
`org.osgi.framework.BundleContext`
`getContext()`
`CustomChartListener`
`getCustomGraphics()`
`org.cytoscape.application.CyApplicationManager`
`getCyApplicationManager()`
`org.cytoscape.model.CyTableFactory`
`getCyTableFactory()`
`org.cytoscape.model.CyTableManager`
`getCyTableManager()`
`org.cytoscape.application.swing.CySwingApplication`
`getDesktopService()`
`org.cytoscape.work.swing.DialogTaskManager`
`getDialogTaskManagerService()`
`org.cytoscape.model.CyTable`
`getDisgenetNodeAttributesTable()`
`Map<Long,org.cytoscape.model.CyTable>`
`getEnrichmentTables()`
`org.cytoscape.work.TaskIterator`
`getGlobalTaskIterator()`
`static CyActivator`
`getInstance()`
`MainPanel`
`getMainPanel()`
`org.cytoscape.model.CyNetworkTableManager`
`getNetTableMgr()`
`org.cytoscape.model.CyNetworkFactory`
`getNetworkFactoryService()`
`org.cytoscape.model.CyNetworkManager`
`getNetworkManagerService()`
`org.cytoscape.view.model.CyNetworkViewFactory`
`getNetworkViewFactoryService()`
`org.cytoscape.view.model.CyNetworkViewManager`
`getNetworkViewManagerService()`
`org.cytoscape.service.util.CyServiceRegistrar`
`getServiceRegistrar()`
`ShowEnrichmentPanelTaskFactory`
`getShowEnrichmentFactory()`
`org.cytoscape.work.SynchronousTaskManager`
`getSynchTaskManagerService()`
`org.cytoscape.model.CyTableFactory`
`getTableFactoryService()`
`org.cytoscape.work.TaskManager`
`getTaskManagerService()`
`org.cytoscape.view.vizmap.VisualMappingManager`
`getVisualMappingMgr()`
`org.cytoscape.view.vizmap.VisualStyleFactory`
`getVisualStyleFactor()`
`void`
`setColumnIdentifierFactory(org.cytoscape.view.presentation.property.values.CyColumnIdentifierFactory columnIdentifierFactory)`
`void`
`setContext(org.osgi.framework.BundleContext context)`
`void`
`setCustomGraphics(CustomChartListener customGraphics)`
`void`
`setCyApplicationManager(org.cytoscape.application.CyApplicationManager cyApplicationManager)`
`void`
`setCyTableFactory(org.cytoscape.model.CyTableFactory cyTableFactory)`
`void`
`setCyTableManager(org.cytoscape.model.CyTableManager cyTableManager)`
`void`
`setDisgenetNodeAttributesTable(org.cytoscape.model.CyTable table)`
`void`
`setNetTableMgr(org.cytoscape.model.CyNetworkTableManager netTableMgr)`
`void`
`setServiceRegistrar(org.cytoscape.service.util.CyServiceRegistrar serviceRegistrar)`
`void`
`start(org.osgi.framework.BundleContext context)`
`void`
`unregister_disgenet_panel(DisGeNETCytoPanel disgenetCytoPanel)`

### Methods inherited from class org.cytoscape.service.util.AbstractCyActivator

`getService, getService, registerAllServices, registerAllServices, registerService, registerService, registerServiceListener, registerServiceListener, registerServiceListener, registerServiceListener, registerServiceListener, registerServiceListener, shutDown, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### layoutAlgoManager

public static org.cytoscape.view.layout.CyLayoutAlgorithmManager layoutAlgoManager

## Constructor Details

### CyActivator

public CyActivator()

## Method Details

### start

public void start(org.osgi.framework.BundleContext context) throws Exception

Throws:
  `Exception`

### getNetTableMgr

public org.cytoscape.model.CyNetworkTableManager getNetTableMgr()

### setNetTableMgr

public void setNetTableMgr(org.cytoscape.model.CyNetworkTableManager netTableMgr)

### getColumnIdentifierFactory

public org.cytoscape.view.presentation.property.values.CyColumnIdentifierFactory getColumnIdentifierFactory()

### setColumnIdentifierFactory

public void setColumnIdentifierFactory(org.cytoscape.view.presentation.property.values.CyColumnIdentifierFactory columnIdentifierFactory)

### getCyTableManager

public org.cytoscape.model.CyTableManager getCyTableManager()

### setCyTableManager

public void setCyTableManager(org.cytoscape.model.CyTableManager cyTableManager)

### getCyTableFactory

public org.cytoscape.model.CyTableFactory getCyTableFactory()

### setCyTableFactory

public void setCyTableFactory(org.cytoscape.model.CyTableFactory cyTableFactory)

### getCyApplicationManager

public org.cytoscape.application.CyApplicationManager getCyApplicationManager()

### setCyApplicationManager

public void setCyApplicationManager(org.cytoscape.application.CyApplicationManager cyApplicationManager)

### getCustomGraphics

public CustomChartListener getCustomGraphics()

### setCustomGraphics

public void setCustomGraphics(CustomChartListener customGraphics)

### getServiceRegistrar

public org.cytoscape.service.util.CyServiceRegistrar getServiceRegistrar()

### getContext

public org.osgi.framework.BundleContext getContext()

### setContext

public void setContext(org.osgi.framework.BundleContext context)

### setServiceRegistrar

public void setServiceRegistrar(org.cytoscape.service.util.CyServiceRegistrar serviceRegistrar)

### getInstance

public static CyActivator getInstance()

### getDesktopService

public org.cytoscape.application.swing.CySwingApplication getDesktopService()

### getTableFactoryService

public org.cytoscape.model.CyTableFactory getTableFactoryService()

### getNetworkFactoryService

public org.cytoscape.model.CyNetworkFactory getNetworkFactoryService()

### getNetworkManagerService

public org.cytoscape.model.CyNetworkManager getNetworkManagerService()

### getNetworkViewFactoryService

public org.cytoscape.view.model.CyNetworkViewFactory getNetworkViewFactoryService()

### getApplicationManagerService

public org.cytoscape.application.CyApplicationManager getApplicationManagerService()

### getNetworkViewManagerService

public org.cytoscape.view.model.CyNetworkViewManager getNetworkViewManagerService()

### getGlobalTaskIterator

public org.cytoscape.work.TaskIterator getGlobalTaskIterator()

### getDialogTaskManagerService

public org.cytoscape.work.swing.DialogTaskManager getDialogTaskManagerService()

### getTaskManagerService

public org.cytoscape.work.TaskManager getTaskManagerService()

### getSynchTaskManagerService

public org.cytoscape.work.SynchronousTaskManager getSynchTaskManagerService()

### unregister_disgenet_panel

public void unregister_disgenet_panel(DisGeNETCytoPanel disgenetCytoPanel)

### setDisgenetNodeAttributesTable

public void setDisgenetNodeAttributesTable(org.cytoscape.model.CyTable table)

### getDisgenetNodeAttributesTable

public org.cytoscape.model.CyTable getDisgenetNodeAttributesTable()

### getVisualMappingMgr

public org.cytoscape.view.vizmap.VisualMappingManager getVisualMappingMgr()

### getVisualStyleFactor

public org.cytoscape.view.vizmap.VisualStyleFactory getVisualStyleFactor()

### getMainPanel

public MainPanel getMainPanel()

### getEnrichmentTables

public Map<Long,org.cytoscape.model.CyTable> getEnrichmentTables()

### getShowEnrichmentFactory

public ShowEnrichmentPanelTaskFactory getShowEnrichmentFactory()